> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-query.md).

# Spotlight Query

A Spotlight Query defines the RQL query used to retrieve spotlighted objects from a collection.

This object contains the following attributes:

<table><thead><tr><th width="174">Field</th><th width="184">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique ID for the query itself. </td></tr><tr><td><code>name</code></td><td>string</td><td>The name of the query (core property).</td></tr><tr><td><code>template</code></td><td>string</td><td>The name of the UI template used to render data (core property).</td></tr><tr><td><code>invalidation</code></td><td>invalidationStructure</td><td>Settings for invalidating cached data.</td></tr><tr><td><code>interval</code></td><td>string</td><td>Interval for invalidating cached data.</td></tr></tbody></table>

## Example

{% code title="SPOTLIGHT QUERY OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "SPQ-1234-2345",
  "name": "Saved Orders",
  "template": "savedOrdersClient",
  "invalidation": {
    "interval": "1:00:00"
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
